=== qmidiarp_arp.lv2/CMakeLists.txt ===
install (FILES qmidiarp_arp.ttl DESTINATION ${CONFIG_LV2DIR}/qmidiarp_arp.lv2/)
install (FILES qmidiarp_arp_ui.ttl DESTINATION ${CONFIG_LV2DIR}/qmidiarp_arp.lv2/)
install (FILES manifest.ttl DESTINATION ${CONFIG_LV2DIR}/qmidiarp_arp.lv2/)
