=== qmidiarp_lfo.lv2/CMakeLists.txt ===
install (FILES qmidiarp_lfo.ttl DESTINATION ${CONFIG_LV2DIR}/qmidiarp_lfo.lv2/)
install (FILES qmidiarp_lfo_ui.ttl DESTINATION ${CONFIG_LV2DIR}/qmidiarp_lfo.lv2/)
install (FILES manifest.ttl DESTINATION ${CONFIG_LV2DIR}/qmidiarp_lfo.lv2/)
