=== qmidiarp_seq.lv2/CMakeLists.txt ===
install (FILES qmidiarp_seq.ttl DESTINATION ${CONFIG_LV2DIR}/qmidiarp_seq.lv2/)
install (FILES qmidiarp_seq_ui.ttl DESTINATION ${CONFIG_LV2DIR}/qmidiarp_seq.lv2/)
install (FILES manifest.ttl DESTINATION ${CONFIG_LV2DIR}/qmidiarp_seq.lv2/)
