=== debian/changelog ===
qmidiarp (0.7.1+ds-1) unstable; urgency=medium

  * New upstream version 0.7.1+ds
  * Drop cross patch, applied by upstream

 -- Dennis Braun <snd@debian.org>  Fri, 13 Sep 2024 20:54:49 +0200

qmidiarp (0.7.0+ds-3) unstable; urgency=medium

  * Fix cross building. Thanks Helmut! (Closes: #1059750)
  * Apply wrap-and-sort -ast

 -- Dennis Braun <snd@debian.org>  Wed, 24 Jul 2024 09:55:37 +0200

qmidiarp (0.7.0+ds-2) unstable; urgency=medium

  * Build with robtk 0.8.5
  * Bump Standards-Version to 4.7.0
  * Use scour instead of dh-squence-scour
  * Use the default ci config from salsa

 -- Dennis Braun <snd@debian.org>  Tue, 23 Jul 2024 14:37:40 +0200
