=== debian/control ===
Source: qmidiarp
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Dennis Braun <snd@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libasound2-dev [linux-any],
 libjack-dev | libjack-jackd2-dev,
 liblo-dev,
 libx11-dev,
 lv2-dev,
 qtbase5-dev,
 qttools5-dev-tools,
 robtk,
 scour,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://qmidiarp.sourceforge.io
Vcs-Git: https://salsa.debian.org/multimedia-team/qmidiarp.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/qmidiarp

Package: qmidiarp
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 jackd,
Description: MIDI arpeggiator for ALSA
 QMidiArp is an advanced MIDI arpeggiator, programmable step sequencer
 and LFO for the ALSA sequencer. It can hold any number of arpeggiator,
 sequencer, or LFO modules running in parallel.
 .
 Arpeggiator modules produce sequences depending on the notes sent
 to their input port, which is typically connected to a keyboard or
 another sequencer.
 .
 Step sequencer modules allow one to create simple linear, monophonic
 and globally transposable sequences similar to the first analog
 sequencers.
 .
 MIDI LFO modules independently produce MIDI controller data of
 adjustable waveform, time resolution, amplitude and duration.
 .
 For each module, an input note filter is available, and the output
 port and channel can be set independently. Since the modules use a
 common sequencer queue, they are automatically in sync with each other.
 QMidiArp works with an internal tick resolution of 192 ticks per beat.
 The queue can be synchronized to an incoming MIDI realtime clock or as
 a JACK transport client. Most of the relevant control elements are
 accessible via MIDI controller through a MIDI-learn infrastructure.
 QMidiArp also has a log tool displaying the history of incoming MIDI
 events in colors depending on their type. QMidiArp is based on the Qt
 toolkit.
