=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export QT_SELECT=qt5


%:
	dh $@

execute_before_dh_auto_configure:
	cp -fr /usr/share/robtk .

override_dh_auto_configure:
	dh_auto_configure -- --with-pic

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs NEWS
