=== debian/watch ===
version=4
opts=repacksuffix=+ds,dversionmangle=auto \
 https://sf.net/@PACKAGE@/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
