## qmidiarp 0.7.2%2Bds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.10)
-project(qmidiarp VERSION 0.7.1
+project(qmidiarp VERSION 0.7.2
         DESCRIPTION "MIDI arpeggiator, sequencer and LFO for ALSA and JACK"
         LANGUAGES C CXX)
 
@@ -15,24 +15,18 @@
 set (PACKAGE_TARNAME "qmidiarp")
 set (VERSION "${PROJECT_VERSION}")
 
+set(STRIP_DEBUG_SYMBOLS ON CACHE BOOL "Strip debug symbols (default=yes)")
 if (CMAKE_BUILD_TYPE MATCHES "Debug")
-    set(CONFIG_DEBUG 1)
-else ()
-    set(CONFIG_DEBUG 0)
-endif ()
-
-set (CONFIG_PREFIX "${CMAKE_INSTALL_PREFIX}")
-set (CONFIG_LV2DIR "${CMAKE_INSTALL_PREFIX}/lib/lv2")
+  set(STRIP_DEBUG_SYMBOLS OFF)
+endif ()
 
 include (GNUInstallDirs)
-set (CONFIG_BINDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_BINDIR}")
-set (CONFIG_LIBDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
-set (CONFIG_DATADIR "${CONFIG_PREFIX}/${CMAKE_INSTALL_DATADIR}")
-set (CONFIG_MANDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_MANDIR}")
 
 option (CONFIG_APPBUILD "Build QMidiArp Application (default=yes)" 1)
+option (CONFIG_FORCE_QT5 "Force Qt5 instead of Qt6 (default=no)" 0)
 option (CONFIG_JACK_MIDI "Enable JACK MIDI support (default=yes)" 1)
 option (CONFIG_ALSA_MIDI "Enable ALSA MIDI support (default=yes)" 1)
+option (CONFIG_EXAMPLES "Install examples (default=no)" 0)
 
 # Enable LV2 plugin build.
 option (CONFIG_LV2 "Build LV2 plug-ins (default=yes)" 1)
@@ -41,11 +35,10 @@
 
 # Enable NSM support.
 option (CONFIG_NSM "Enable NSM support (default=yes)" 1)
-set (APPBUILD ${CONFIG_APBUILD})
+set (APPBUILD ${CONFIG_APPBUILD})
 
 # Enable translations.
-option (CONFIG_TRANSLATIONS "Build and install translations (default=no)" 1)
-set (APPBUILD ${CONFIG_TRANSLATIONS})
+option (CONFIG_TRANSLATIONS "Build and install translations (default=no)" 0)
 
 # Fix for new CMAKE_REQUIRED_LIBRARIES policy.
 if (POLICY CMP0075)
@@ -60,24 +53,20 @@
 endif ()
 
 # Check for Qt
-if (CONFIG_APPBUILD OR CONFIG_LV2_UI)
-  find_package (QT NAMES Qt5 COMPONENTS Core REQUIRED)
+if (CONFIG_APPBUILD OR CONFIG_LV2_UI)  
+  if (NOT CONFIG_FORCE_QT5)
+    find_package (QT NAMES Qt6 COMPONENTS Core OPTIONAL)
+  endif()
+  if (NOT QT_FOUND OR CONFIG_FORCE_QT5)
+    find_package (QT NAMES Qt5 COMPONENTS Core REQUIRED)
+  endif()
   find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui Widgets Xml)
+  message("Will build GUIs using Qt ${QT_VERSION}")
   # Check for lrelease translations
   if (CONFIG_TRANSLATIONS)
-    find_program (CONFIG_LRELEASE NAMES "lrelease" DOC "lrelease executable location")
-    if (NOT CONFIG_LRELEASE)
-        set(CONFIG_TRANSLATIONS  0)
-        message("Translation generation disabled, lrelease not found")
-    else()
-        find_program (CONFIG_LUPDATE NAMES "lupdate" DOC "lupdate executable location")
-        message("lrelease found: ${CONFIG_LRELEASE}")
-        message("Will build translations")
-    endif()
+    find_package (Qt${QT_VERSION_MAJOR}LinguistTools CONFIG REQUIRED)
   endif()
 endif ()
-
-#find_package (Qt${QT_VERSION_MAJOR}LinguistTools)
 
 include (CheckIncludeFileCXX)
 include (CheckIncludeFiles)
@@ -163,6 +152,15 @@
 if (CONFIG_LV2)
   pkg_check_modules (LV2 lv2)
   if (LV2_FOUND)
+    if (CMAKE_INSTALL_PREFIX MATCHES $ENV{HOME})
+      set (CONFIG_LV2DIR "${CMAKE_INSTALL_PREFIX}/.lv2" CACHE STRING "LV2 Path Configuration")
+    else ()
+      pkg_get_variable (LV2_SYSTEM_LV2DIR lv2 lv2dir)
+      set (CONFIG_LV2DIR "${CMAKE_INSTALL_FULL_LIBDIR}/lv2" CACHE STRING "LV2 Path Configuration")
+      if (NOT LV2_SYSTEM_LV2DIR STREQUAL CONFIG_LV2DIR)
+        message (WARNING "*** System LV2 Path is ${LV2_SYSTEM_LV2DIR}, mismatch with \${CONFIG_LV2DIR}=\"${CONFIG_LV2DIR}\"!")
+      endif ()
+    endif ()
     include_directories (${LV2_INCLUDE_DIRS})
     link_directories (${LV2_LIBRARY_DIRS})
     link_libraries (${LV2_LIBRARIES})
@@ -285,9 +283,15 @@
 endif ()
 
 add_subdirectory(src)
-add_subdirectory(qmidiarp_arp.lv2)
-add_subdirectory(qmidiarp_lfo.lv2)
-add_subdirectory(qmidiarp_seq.lv2)
+if (BUILD_LV2)
+  add_subdirectory(${PROJECT_NAME}_arp.lv2)
+  add_subdirectory(${PROJECT_NAME}_lfo.lv2)
+  add_subdirectory(${PROJECT_NAME}_seq.lv2)
+endif ()
+add_subdirectory(man)
+if (CONFIG_EXAMPLES)
+  add_subdirectory(examples)
+endif ()
 
 if (EXISTS ${CMAKE_SOURCE_DIR}/configure)
     set(ADD_AUTOCONF_FILES  --add-file=${CMAKE_SOURCE_DIR}/configure
@@ -333,7 +337,3 @@
                         git --git-dir=${CMAKE_SOURCE_DIR}/robtk/.git archive 
                         --format=tar 
                         --prefix=${PACKAGE_STRING}/robtk/ HEAD -o robtk.tar &&
-                        tar --concatenate --file=${PACKAGE_STRING}.tar robtk.tar && 
-                        rm -f robtk.tar)
-
-add_custom_target(dist-bz2 COMMAND ${DIST_TARCOMMAND} && bzip2 -f ${PACKAGE_STRING}.tar )
