=== qmidiarp_lfo.lv2/CMakeLists.txt ===
install (FILES ${PROJECT_NAME}_lfo.ttl DESTINATION ${CONFIG_LV2DIR}/${PROJECT_NAME}_lfo.lv2/)
install (FILES ${PROJECT_NAME}_lfo_ui.ttl DESTINATION ${CONFIG_LV2DIR}/${PROJECT_NAME}_lfo.lv2/)
install (FILES manifest.ttl DESTINATION ${CONFIG_LV2DIR}/${PROJECT_NAME}_lfo.lv2/)
