## qmidiarp 0.7.2+ds

=== debian/changelog ===
qmidiarp (0.7.2+ds-2) unstable; urgency=medium

  * Fix builds without sse support
  * Add qt6-l10n-tools to B-Ds

 -- Dennis Braun <snd@debian.org>  Mon, 29 Dec 2025 14:27:00 +0100

qmidiarp (0.7.2+ds-1) unstable; urgency=medium

  * New upstream version 0.7.2+ds
  * Build with Qt6
  * Add missing build dependencies, thanks to Frank Kober (Closes: #1123929)
  * Remove redudant rules-requires-root-no field
  * Bump Standards-Version to 4.7.3
  * Update d/watch to version 5
  * Update d/coypright GPL-2+ license text
  * Update d/copyright years

 -- Dennis Braun <snd@debian.org>  Fri, 26 Dec 2025 16:06:11 +0100
