=== debian/control ===
--- 
+++ 
@@ -9,16 +9,20 @@
 Build-Depends:
  debhelper-compat (= 13),
  libasound2-dev [linux-any],
+ libcairo2-dev,
  libjack-dev | libjack-jackd2-dev,
  liblo-dev,
+ libpango1.0-dev,
+ libpugl-dev,
  libx11-dev,
  lv2-dev,
- qtbase5-dev,
+ qt6-base-dev,
+ qt6-l10n-tools,
+ qt6-tools-dev-tools,
  qttools5-dev-tools,
  robtk,
  scour,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://qmidiarp.sourceforge.io
 Vcs-Git: https://salsa.debian.org/multimedia-team/qmidiarp.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qmidiarp
