## qmidiarp 0.7.3%2Bds

=== qmidiarp_arp.lv2/CMakeLists.txt ===
install (FILES ${PROJECT_NAME}_arp.ttl DESTINATION ${CONFIG_LV2DIR}/${PROJECT_NAME}_arp.lv2/)
install (FILES ${PROJECT_NAME}_arp_ui.ttl DESTINATION ${CONFIG_LV2DIR}/${PROJECT_NAME}_arp.lv2/)
install (FILES manifest.ttl DESTINATION ${CONFIG_LV2DIR}/${PROJECT_NAME}_arp.lv2/)
