=== man/CMakeLists.txt ===
install (FILES ${PROJECT_NAME}.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
install (FILES fr/${PROJECT_NAME}.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/fr/man1)
install (FILES de/${PROJECT_NAME}.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/de/man1)
