=== qmidiarp_seq.lv2/CMakeLists.txt ===
install (FILES ${PROJECT_NAME}_seq.ttl DESTINATION ${CONFIG_LV2DIR}/${PROJECT_NAME}_seq.lv2/)
install (FILES ${PROJECT_NAME}_seq_ui.ttl DESTINATION ${CONFIG_LV2DIR}/${PROJECT_NAME}_seq.lv2/)
install (FILES manifest.ttl DESTINATION ${CONFIG_LV2DIR}/${PROJECT_NAME}_seq.lv2/)
