=== src/CMakeLists.txt ===
--- 
+++ 
@@ -79,7 +79,7 @@
     
     if (CONFIG_TRANSLATIONS)
         add_subdirectory(translations)
-        set( DTRANSLATIONSDIR -DTRANSLATIONSDIR="${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/${PACKAGE}/translations/" )
+        set( DTRANSLATIONSDIR -DTRANSLATIONSDIR="${CMAKE_INSTALL_FULL_DATADIR}/${PACKAGE}/translations/" )
     endif()
     
     add_executable (${PROJECT_NAME}
@@ -103,7 +103,7 @@
                                                     Qt${QT_VERSION_MAJOR}::Widgets
                                                     )
     
-    if (UNIX AND NOT APPLE AND NOT CONFIG_DEBUG)
+    if (UNIX AND NOT APPLE AND STRIP_DEBUG_SYMBOLS)
       add_custom_command(TARGET ${PROJECT_NAME} POST_BUILD
         COMMAND strip ${PROJECT_NAME})
     endif ()
@@ -175,7 +175,7 @@
     set_target_properties (${PROJECT_NAME}_lfo PROPERTIES CXX_STANDARD 11 PREFIX "")
     set_target_properties (${PROJECT_NAME}_seq PROPERTIES CXX_STANDARD 11 PREFIX "")
 
-    if (UNIX AND NOT APPLE AND NOT CONFIG_DEBUG)
+    if (UNIX AND NOT APPLE AND STRIP_DEBUG_SYMBOLS)
       add_custom_command(TARGET ${PROJECT_NAME}_arp  POST_BUILD
         COMMAND strip ${PROJECT_NAME}_arp.so)
       add_custom_command(TARGET ${PROJECT_NAME}_lfo  POST_BUILD
@@ -185,9 +185,6 @@
     endif ()
 
     if (UNIX AND NOT APPLE)
-      if (CONFIG_PREFIX MATCHES $ENV{HOME})
-        set (CONFIG_LV2DIR ${CONFIG_PREFIX}/.lv2)
-      endif ()
       install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}_arp.so
          DESTINATION ${CONFIG_LV2DIR}/${PROJECT_NAME}_arp.lv2)
       install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}_lfo.so
@@ -299,7 +296,7 @@
                                                     Qt${QT_VERSION_MAJOR}::Gui
                                                     Qt${QT_VERSION_MAJOR}::Widgets
                                                     )
-    if (UNIX AND NOT APPLE AND NOT CONFIG_DEBUG)
+    if (UNIX AND NOT APPLE AND STRIP_DEBUG_SYMBOLS)
       add_custom_command(TARGET ${PROJECT_NAME}_arp_ui  POST_BUILD
         COMMAND strip ${PROJECT_NAME}_arp_ui.so)
       add_custom_command(TARGET ${PROJECT_NAME}_lfo_ui  POST_BUILD
@@ -309,9 +306,6 @@
     endif ()
 
     if (UNIX AND NOT APPLE)
-      if (CONFIG_PREFIX MATCHES $ENV{HOME})
-        set (CONFIG_LV2DIR ${CONFIG_PREFIX}/.lv2)
-      endif ()
       install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}_arp_ui.so
          DESTINATION ${CONFIG_LV2DIR}/${PROJECT_NAME}_arp.lv2)
       install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}_lfo_ui.so
@@ -386,9 +380,6 @@
     target_link_libraries (${PROJECT_NAME}_seq_ui_gl PUBLIC -lX11)
 
     if (UNIX AND NOT APPLE)
-      if (CONFIG_PREFIX MATCHES $ENV{HOME})
-        set (CONFIG_LV2DIR ${CONFIG_PREFIX}/.lv2)
-      endif ()
       install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}_arp_ui_gl.so
          DESTINATION ${CONFIG_LV2DIR}/${PROJECT_NAME}_arp.lv2)
       install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}_lfo_ui_gl.so
