=== debian/changelog ===
qmidiarp (0.7.3+ds-1) unstable; urgency=medium

  * New upstream version 0.7.3+ds
  * Drop upstream patch
  * Remove redundant priority optional field

 -- Dennis Braun <snd@debian.org>  Mon, 12 Jan 2026 20:37:00 +0100
