=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: qmidiarp
 Section: sound
-Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
