=== debian/watch ===
Version: 5
Repacksuffix: +ds
Dversion-Mangle: auto
Source: https://sf.net/@PACKAGE@/
Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
