=== debian/changelog ===
qmidiarp (0.7.4+ds-1) unstable; urgency=medium

  * New upstream version 0.7.4+ds
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Tue, 03 Mar 2026 19:09:23 +0100
